Update Shipment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: PUT

Endpoint URL: https://coreapi.impexdocs.com/api/v1/shipment/{shipmentdocs_id}

Authentication: Required

Response Format: JSON

Description

To modify a Shipment, make a PUT request to the specified endpoint with the required information. The response will be a JSON object containing:

  • Response Code
  • Message

Request

Path Parameter

  • Shipment Docs ID (shipmentdocs_id): The identifier generated during the creation of a new Shipment. Retrieve this ID from the response of the POST Shipment API.

Example Path Parameter

https://coreapi.impexdocs.com/api/v1/shipment/your_shipmentdocs_id

Example Request

Ensure to include the Shipmentdocs ID in the path and provide any additional fields that need modification in the request JSON.

Response

The API will respond with a JSON object containing:

  • Response Code
  • Message

Example Response JSON

{
  "response_code": 200,
  "message": "Updated"
}

Note

  • Ensure proper authentication before making the request.
  • Use the Shipmentdocs ID obtained during the creation of the Shipment for the path parameter.
  • Provide the necessary fields to be modified in the request JSON.
Path Params
string
required

shipment Docs Id

Body Params

shipmentDocsId value

string | null

This is the Current Status of the Shipment. While creating shipment, default value "Created" needs to be passed.

uuid | null

This the Booking Id. If value is passed, Shipment will be linked with Booking.
To link Booking with Shipment, Booking needs to be created before Shipment.

string | null

Requires to be an email address of the user who has a login in Impexdocs.

header_details
object

object for HeaderDetails

payment_details
object
processing_dates
object
additional_info
object
other_info
object
boolean

Validation on Partner Code is optional. If value is false, we will save the Partner data without any validation.
If value is true, we will validate Partner Code. Blank and Invalid code will not be allowed.

partner
array of objects | null
partner
exporter_bank
object
buyer_bank
object
product_detail
object
internal_notes_details
object
packing_details
object
external_documents
array of objects | null
external_documents
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json